<?php
/**
 * Fontawesome icons from FontAwesome :)
 *
 * @param $icons - taken from filter - vc_map param field settings['source']
 *     provided icons (default empty array). If array categorized it will
 *     auto-enable category dropdown
 *
 * @since 4.4
 * @return array - of icons for iconpicker, can be categorized, or not.
 */
function penci_iconpicker_fontawesome( $icons = array() ) {
	/**
	 * @version 4.7
	 */
	$fontawesome_icons = array(
		// New in 4.7'
		'' => '',
		'fa-handshake-o'                         => 'Handshake Outlined',
		'fa-envelope-open'                       => 'Envelope Open(email, e-mail, letter, support, mail, message, notification)',
		'fa-envelope-open-o'                     => 'Envelope Open Outlined(email, e-mail, letter, support, mail, message, notification)',
		'fa-linode'                              => 'Linode',
		'fa-address-book'                        => 'Address Book',
		'fa-address-book-o'                      => 'Address Book Outlined',
		'fa-address-card'                        => 'Address Card(vcard)',
		'fa-address-card-o'                      => 'Address Card Outlined(vcard-o)',
		'fa-user-circle'                         => 'User Circle',
		'fa-user-circle-o'                       => 'User Circle Outlined',
		'fa-user-o'                              => 'User Outlined',
		'fa-id-badge'                            => 'Identification Badge',
		'fa-id-card'                             => 'Identification Card(drivers-license)',
		'fa-id-card-o'                           => 'Identification Card Outlined(drivers-license-o)',
		'fa-quora'                               => 'Quora',
		'fa-free-code-camp'                      => 'Free Code Camp',
		'fa-telegram'                            => 'Telegram',
		'fa-thermometer-full'                    => 'Thermometer Full(thermometer-4, thermometer)',
		'fa-thermometer-three-quarters'          => 'Thermometer 3/4 Full(thermometer-3)',
		'fa-thermometer-half'                    => 'Thermometer 1/2 Full(thermometer-2)',
		'fa-thermometer-quarter'                 => 'Thermometer 1/4 Full(thermometer-1)',
		'fa-thermometer-empty'                   => 'Thermometer Empty(thermometer-0)',
		'fa-shower'                              => 'Shower',
		'fa-bath'                                => 'Bath(bathtub, s15)',
		'fa-podcast'                             => 'Podcast',
		'fa-window-maximize'                     => 'Window Maximize',
		'fa-window-minimize'                     => 'Window Minimize',
		'fa-window-restore'                      => 'Window Restore',
		'fa-window-close'                        => 'Window Close(times-rectangle)',
		'fa-window-close-o'                      => 'Window Close Outline(times-rectangle-o)',
		'fa-bandcamp'                            => 'Bandcamp',
		'fa-grav'                                => 'Grav',
		'fa-etsy'                                => 'Etsy',
		'fa-imdb'                                => 'IMDB',
		'fa-ravelry'                             => 'Ravelry',
		'fa-eercast'                             => 'Eercast',
		'fa-microchip'                           => 'Microchip',
		'fa-snowflake-o'                         => 'Snowflake Outlined',
		'fa-superpowers'                         => 'Superpowers',
		'fa-wpexplorer'                          => 'WPExplorer',
		'fa-meetup'                              => 'Meetup',

		// Web Application Icons
		'fa-glass'                               => 'Glass(martini, drink, bar, alcohol, liquor)',
		'fa-music'                               => 'Music(note, sound)',
		'fa-search'                              => 'Search(magnify, zoom, enlarge, bigger)',
		'fa-envelope-o'                          => 'Envelope Outlined(email, e-mail, letter, support, mail, message, notification)',
		'fa-heart'                               => 'Heart(love, like, favorite)',
		'fa-star'                                => 'Star(award, achievement, night, rating, score, favorite)',
		'fa-star-o'                              => 'Star Outlined(award, achievement, night, rating, score, favorite)',
		'fa-user'                                => 'User(person, man, head, profile)',
		'fa-film'                                => 'Film(movie)',
		'fa-check'                               => 'Check(checkmark, done, todo, agree, accept, confirm, tick, ok)',
		'fa-times'                               => 'Times(close, exit, x, cross)(remove, close)',
		'fa-search-plus'                         => 'Search Plus(magnify, zoom, enlarge, bigger)',
		'fa-search-minus'                        => 'Search Minus(magnify, minify, zoom, smaller)',
		'fa-power-off'                           => 'Power Off(on)',
		'fa-signal'                              => 'signal(graph, bars)',
		'fa-cog'                                 => 'cog(settings)(gear)',
		'fa-trash-o'                             => 'Trash Outlined(garbage, delete, remove, trash, hide)',
		'fa-home'                                => 'home(main, house)',
		'fa-clock-o'                             => 'Clock Outlined(watch, timer, late, timestamp)',
		'fa-road'                                => 'road(street)',
		'fa-download'                            => 'Download(import)',
		'fa-inbox'                               => 'inbox',
		'fa-refresh'                             => 'refresh(reload, sync)',
		'fa-lock'                                => 'lock(protect, admin, security)',
		'fa-flag'                                => 'flag(report, notification, notify)',
		'fa-headphones'                          => 'headphones(sound, listen, music, audio)',
		'fa-volume-off'                          => 'volume-off(audio, mute, sound, music)',
		'fa-volume-down'                         => 'volume-down(audio, lower, quieter, sound, music)',
		'fa-volume-up'                           => 'volume-up(audio, higher, louder, sound, music)',
		'fa-qrcode'                              => 'qrcode(scan)',
		'fa-barcode'                             => 'barcode(scan)',
		'fa-tag'                                 => 'tag(label)',
		'fa-tags'                                => 'tags(labels)',
		'fa-book'                                => 'book(read, documentation)',
		'fa-bookmark'                            => 'bookmark(save)',
		'fa-print'                               => 'print',
		'fa-camera'                              => 'camera(photo, picture, record)',
		'fa-video-camera'                        => 'Video Camera(film, movie, record)',
		'fa-picture-o'                           => 'Picture Outlined(photo, image)',
		'fa-pencil'                              => 'pencil(write, edit, update)',
		'fa-map-marker'                          => 'map-marker(map, pin, location, coordinates, localize, address, travel, where, place)',
		'fa-adjust'                              => 'adjust(contrast)',
		'fa-tint'                                => 'tint(raindrop, waterdrop, drop, droplet)',
		'fa-pencil-square-o'                     => 'Pencil Square Outlined(write, edit, update)(edit)',
		'fa-share-square-o'                      => 'Share Square Outlined(social, send, arrow)',
		'fa-check-square-o'                      => 'Check Square Outlined(todo, done, agree, accept, confirm, ok)',
		'fa-arrows'                              => 'Arrows(move, reorder, resize)',
		'fa-plus-circle'                         => 'Plus Circle(add, new, create, expand)',
		'fa-minus-circle'                        => 'Minus Circle(delete, remove, trash, hide)',
		'fa-times-circle'                        => 'Times Circle(close, exit, x)',
		'fa-check-circle'                        => 'Check Circle(todo, done, agree, accept, confirm, ok)',
		'fa-question-circle'                     => 'Question Circle(help, information, unknown, support)',
		'fa-info-circle'                         => 'Info Circle(help, information, more, details)',
		'fa-crosshairs'                          => 'Crosshairs(picker)',
		'fa-times-circle-o'                      => 'Times Circle Outlined(close, exit, x)',
		'fa-check-circle-o'                      => 'Check Circle Outlined(todo, done, agree, accept, confirm, ok)',
		'fa-ban'                                 => 'ban(delete, remove, trash, hide, block, stop, abort, cancel)',
		'fa-share'                               => 'Share(mail-forward)',
		'fa-plus'                                => 'plus(add, new, create, expand)',
		'fa-minus'                               => 'minus(hide, minify, delete, remove, trash, hide, collapse)',
		'fa-asterisk'                            => 'asterisk(details)',
		'fa-exclamation-circle'                  => 'Exclamation Circle(warning, error, problem, notification, alert)',
		'fa-gift'                                => 'gift(present)',
		'fa-leaf'                                => 'leaf(eco, nature, plant)',
		'fa-fire'                                => 'fire(flame, hot, popular)',
		'fa-eye'                                 => 'Eye(show, visible, views)',
		'fa-eye-slash'                           => 'Eye Slash(toggle, show, hide, visible, visiblity, views)',
		'fa-exclamation-triangle'                => 'Exclamation Triangle(warning, error, problem, notification, alert)(warning)',
		'fa-plane'                               => 'plane(travel, trip, location, destination, airplane, fly, mode)',
		'fa-calendar'                            => 'calendar(date, time, when, event)',
		'fa-random'                              => 'random(sort, shuffle)',
		'fa-comment'                             => 'comment(speech, notification, note, chat, bubble, feedback, message, texting, sms, conversation)',
		'fa-magnet'                              => 'magnet',
		'fa-retweet'                             => 'retweet(refresh, reload, share)',
		'fa-shopping-cart'                       => 'shopping-cart(checkout, buy, purchase, payment)',
		'fa-folder'                              => 'Folder',
		'fa-folder-open'                         => 'Folder Open',
		'fa-arrows-v'                            => 'Arrows Vertical(resize)',
		'fa-arrows-h'                            => 'Arrows Horizontal(resize)',
		'fa-bar-chart'                           => 'Bar Chart(graph, analytics, statistics)(bar-chart-o)',
		'fa-camera-retro'                        => 'camera-retro(photo, picture, record)',
		'fa-key'                                 => 'key(unlock, password)',
		'fa-cogs'                                => 'cogs(settings)(gears)',
		'fa-comments'                            => 'comments(speech, notification, note, chat, bubble, feedback, message, texting, sms, conversation)',
		'fa-thumbs-o-up'                         => 'Thumbs Up Outlined(like, approve, favorite, agree, hand)',
		'fa-thumbs-o-down'                       => 'Thumbs Down Outlined(dislike, disapprove, disagree, hand)',
		'fa-star-half'                           => 'star-half(award, achievement, rating, score)',
		'fa-heart-o'                             => 'Heart Outlined(love, like, favorite)',
		'fa-sign-out'                            => 'Sign Out(log out, logout, leave, exit, arrow)',
		'fa-thumb-tack'                          => 'Thumb Tack(marker, pin, location, coordinates)',
		'fa-external-link'                       => 'External Link(open, new)',
		'fa-sign-in'                             => 'Sign In(enter, join, log in, login, sign up, sign in, signin, signup, arrow)',
		'fa-trophy'                              => 'trophy(award, achievement, cup, winner, game)',
		'fa-upload'                              => 'Upload(import)',
		'fa-lemon-o'                             => 'Lemon Outlined(food)',
		'fa-phone'                               => 'Phone(call, voice, number, support, earphone, telephone)',
		'fa-square-o'                            => 'Square Outlined(block, square, box)',
		'fa-bookmark-o'                          => 'Bookmark Outlined(save)',
		'fa-phone-square'                        => 'Phone Square(call, voice, number, support, telephone)',
		'fa-unlock'                              => 'unlock(protect, admin, password, lock)',
		'fa-credit-card'                         => 'credit-card(money, buy, debit, checkout, purchase, payment)',
		'fa-rss'                                 => 'rss(blog)(feed)',
		'fa-hdd-o'                               => 'HDD(harddrive, hard drive, storage, save)',
		'fa-bullhorn'                            => 'bullhorn(announcement, share, broadcast, louder, megaphone)',
		'fa-bell'                                => 'bell(alert, reminder, notification)',
		'fa-certificate'                         => 'certificate(badge, star)',
		'fa-globe'                               => 'Globe(world, planet, map, place, travel, earth, global, translate, all, language, localize, location, coordinates, country)',
		'fa-wrench'                              => 'Wrench(settings, fix, update, spanner)',
		'fa-tasks'                               => 'Tasks(progress, loading, downloading, downloads, settings)',
		'fa-filter'                              => 'Filter(funnel, options)',
		'fa-briefcase'                           => 'Briefcase(work, business, office, luggage, bag)',
		'fa-users'                               => 'Users(people, profiles, persons)(group)',
		'fa-cloud'                               => 'Cloud(save)',
		'fa-flask'                               => 'Flask(science, beaker, experimental, labs)',
		'fa-square'                              => 'Square(block, box)',
		'fa-bars'                                => 'Bars(menu, drag, reorder, settings, list, ul, ol, checklist, todo, list, hamburger)(navicon, reorder)',
		'fa-magic'                               => 'magic(wizard, automatic, autocomplete)',
		'fa-truck'                               => 'truck(shipping)',
		'fa-money'                               => 'Money(cash, money, buy, checkout, purchase, payment)',
		'fa-sort'                                => 'Sort(order)(unsorted)',
		'fa-sort-desc'                           => 'Sort Descending(dropdown, more, menu, arrow)(sort-down)',
		'fa-sort-asc'                            => 'Sort Ascending(arrow)(sort-up)',
		'fa-envelope'                            => 'Envelope(email, e-mail, letter, support, mail, message, notification)',
		'fa-gavel'                               => 'Gavel(judge, lawyer, opinion)(legal)',
		'fa-tachometer'                          => 'Tachometer(speedometer, fast)(dashboard)',
		'fa-comment-o'                           => 'comment-o(speech, notification, note, chat, bubble, feedback, message, texting, sms, conversation)',
		'fa-comments-o'                          => 'comments-o(speech, notification, note, chat, bubble, feedback, message, texting, sms, conversation)',
		'fa-bolt'                                => 'Lightning Bolt(lightning, weather)(flash)',
		'fa-sitemap'                             => 'Sitemap(directory, hierarchy, organization)',
		'fa-umbrella'                            => 'Umbrella',
		'fa-lightbulb-o'                         => 'Lightbulb Outlined(idea, inspiration)',
		'fa-exchange'                            => 'Exchange(transfer, arrows, arrow)',
		'fa-cloud-download'                      => 'Cloud Download(import)',
		'fa-cloud-upload'                        => 'Cloud Upload(import)',
		'fa-suitcase'                            => 'Suitcase(trip, luggage, travel, move, baggage)',
		'fa-bell-o'                              => 'Bell Outlined(alert, reminder, notification)',
		'fa-coffee'                              => 'Coffee(morning, mug, breakfast, tea, drink, cafe)',
		'fa-cutlery'                             => 'Cutlery(food, restaurant, spoon, knife, dinner, eat)',
		'fa-building-o'                          => 'Building Outlined(work, business, apartment, office, company)',
		'fa-fighter-jet'                         => 'fighter-jet(fly, plane, airplane, quick, fast, travel)',
		'fa-beer'                                => 'beer(alcohol, stein, drink, mug, bar, liquor)',
		'fa-plus-square'                         => 'Plus Square(add, new, create, expand)',
		'fa-desktop'                             => 'Desktop(monitor, screen, desktop, computer, demo, device)',
		'fa-laptop'                              => 'Laptop(demo, computer, device)',
		'fa-tablet'                              => 'tablet(ipad, device)',
		'fa-mobile'                              => 'Mobile Phone(cell phone, cellphone, text, call, iphone, number, telephone)(mobile-phone)',
		'fa-circle-o'                            => 'Circle Outlined',
		'fa-quote-left'                          => 'quote-left',
		'fa-quote-right'                         => 'quote-right',
		'fa-spinner'                             => 'Spinner(loading, progress)',
		'fa-circle'                              => 'Circle(dot, notification)',
		'fa-reply'                               => 'Reply(mail-reply)',
		'fa-folder-o'                            => 'Folder Outlined',
		'fa-folder-open-o'                       => 'Folder Open Outlined',
		'fa-smile-o'                             => 'Smile Outlined(face, emoticon, happy, approve, satisfied, rating)',
		'fa-frown-o'                             => 'Frown Outlined(face, emoticon, sad, disapprove, rating)',
		'fa-meh-o'                               => 'Meh Outlined(face, emoticon, rating, neutral)',
		'fa-gamepad'                             => 'Gamepad(controller)',
		'fa-keyboard-o'                          => 'Keyboard Outlined(type, input)',
		'fa-flag-o'                              => 'Flag Outlined(report, notification)',
		'fa-flag-checkered'                      => 'flag-checkered(report, notification, notify)',
		'fa-terminal'                            => 'Terminal(command, prompt, code)',
		'fa-code'                                => 'Code(html, brackets)',
		'fa-reply-all'                           => 'reply-all(mail-reply-all)',
		'fa-star-half-o'                         => 'Star Half Outlined(award, achievement, rating, score)(star-half-empty, star-half-full)',
		'fa-location-arrow'                      => 'location-arrow(map, coordinates, location, address, place, where)',
		'fa-crop'                                => 'crop',
		'fa-code-fork'                           => 'code-fork(git, fork, vcs, svn, github, rebase, version, merge)',
		'fa-question'                            => 'Question(help, information, unknown, support)',
		'fa-info'                                => 'Info(help, information, more, details)',
		'fa-exclamation'                         => 'exclamation(warning, error, problem, notification, notify, alert)',
		'fa-eraser'                              => 'eraser(remove, delete)',
		'fa-puzzle-piece'                        => 'Puzzle Piece(addon, add-on, section)',
		'fa-microphone'                          => 'microphone(record, voice, sound)',
		'fa-microphone-slash'                    => 'Microphone Slash(record, voice, sound, mute)',
		'fa-shield'                              => 'shield(award, achievement, security, winner)',
		'fa-calendar-o'                          => 'calendar-o(date, time, when, event)',
		'fa-fire-extinguisher'                   => 'fire-extinguisher',
		'fa-rocket'                              => 'rocket(app)',
		'fa-anchor'                              => 'Anchor(link)',
		'fa-unlock-alt'                          => 'Unlock Alt(protect, admin, password, lock)',
		'fa-bullseye'                            => 'Bullseye(target)',
		'fa-ellipsis-h'                          => 'Ellipsis Horizontal(dots)',
		'fa-ellipsis-v'                          => 'Ellipsis Vertical(dots)',
		'fa-rss-square'                          => 'RSS Square(feed, blog)',
		'fa-ticket'                              => 'Ticket(movie, pass, support)',
		'fa-minus-square'                        => 'Minus Square(hide, minify, delete, remove, trash, hide, collapse)',
		'fa-minus-square-o'                      => 'Minus Square Outlined(hide, minify, delete, remove, trash, hide, collapse)',
		'fa-level-up'                            => 'Level Up(arrow)',
		'fa-level-down'                          => 'Level Down(arrow)',
		'fa-check-square'                        => 'Check Square(checkmark, done, todo, agree, accept, confirm, ok)',
		'fa-pencil-square'                       => 'Pencil Square(write, edit, update)',
		'fa-external-link-square'                => 'External Link Square(open, new)',
		'fa-share-square'                        => 'Share Square(social, send)',
		'fa-compass'                             => 'Compass(safari, directory, menu, location)',
		'fa-caret-square-o-down'                 => 'Caret Square Outlined Down(more, dropdown, menu)(toggle-down)',
		'fa-caret-square-o-up'                   => 'Caret Square Outlined Up(toggle-up)',
		'fa-caret-square-o-right'                => 'Caret Square Outlined Right(next, forward)(toggle-right)',
		'fa-sort-alpha-asc'                      => 'Sort Alpha Ascending',
		'fa-sort-alpha-desc'                     => 'Sort Alpha Descending',
		'fa-sort-amount-asc'                     => 'Sort Amount Ascending',
		'fa-sort-amount-desc'                    => 'Sort Amount Descending',
		'fa-sort-numeric-asc'                    => 'Sort Numeric Ascending(numbers)',
		'fa-sort-numeric-desc'                   => 'Sort Numeric Descending(numbers)',
		'fa-thumbs-up'                           => 'thumbs-up(like, favorite, approve, agree, hand)',
		'fa-thumbs-down'                         => 'thumbs-down(dislike, disapprove, disagree, hand)',
		'fa-female'                              => 'Female(woman, user, person, profile)',
		'fa-male'                                => 'Male(man, user, person, profile)',
		'fa-sun-o'                               => 'Sun Outlined(weather, contrast, lighter, brighten, day)',
		'fa-moon-o'                              => 'Moon Outlined(night, darker, contrast)',
		'fa-archive'                             => 'Archive(box, storage)',
		'fa-bug'                                 => 'Bug(report, insect)',
		'fa-caret-square-o-left'                 => 'Caret Square Outlined Left(previous, back)(toggle-left)',
		'fa-dot-circle-o'                        => 'Dot Circle Outlined(target, bullseye, notification)',
		'fa-wheelchair'                          => 'Wheelchair(handicap, person)',
		'fa-plus-square-o'                       => 'Plus Square Outlined(add, new, create, expand)',
		'fa-space-shuttle'                       => 'Space Shuttle',
		'fa-envelope-square'                     => 'Envelope Square(email, e-mail, letter, support, mail, message, notification)',
		'fa-university'                          => 'University(institution, bank)',
		'fa-graduation-cap'                      => 'Graduation Cap(learning, school, student)(mortar-board)',
		'fa-language'                            => 'Language(translate)',
		'fa-fax'                                 => 'Fax',
		'fa-building'                            => 'Building(work, business, apartment, office, company)',
		'fa-child'                               => 'Child',
		'fa-paw'                                 => 'Paw(pet)',
		'fa-spoon'                               => 'spoon',
		'fa-cube'                                => 'Cube',
		'fa-cubes'                               => 'Cubes',
		'fa-recycle'                             => 'Recycle',
		'fa-car'                                 => 'Car(vehicle)(automobile)',
		'fa-taxi'                                => 'Taxi(vehicle)(cab)',
		'fa-tree'                                => 'Tree',
		'fa-database'                            => 'Database',
		'fa-file-pdf-o'                          => 'PDF File Outlined',
		'fa-file-word-o'                         => 'Word File Outlined',
		'fa-file-excel-o'                        => 'Excel File Outlined',
		'fa-file-powerpoint-o'                   => 'Powerpoint File Outlined',
		'fa-file-image-o'                        => 'Image File Outlined(file-photo-o, file-picture-o)',
		'fa-file-archive-o'                      => 'Archive File Outlined(file-zip-o)',
		'fa-file-audio-o'                        => 'Audio File Outlined(file-sound-o)',
		'fa-file-video-o'                        => 'Video File Outlined(file-movie-o)',
		'fa-file-code-o'                         => 'Code File Outlined',
		'fa-life-ring'                           => 'Life Ring(life-bouy, life-buoy, life-saver, support)',
		'fa-circle-o-notch'                      => 'Circle Outlined Notched',
		'fa-paper-plane'                         => 'Paper Plane(send)',
		'fa-paper-plane-o'                       => 'Paper Plane Outlined(send-o)',
		'fa-history'                             => 'History',
		'fa-circle-thin'                         => 'Circle Outlined Thin',
		'fa-sliders'                             => 'Sliders(settings)',
		'fa-share-alt'                           => 'Share Alt',
		'fa-share-alt-square'                    => 'Share Alt Square',
		'fa-bomb'                                => 'Bomb',
		'fa-futbol-o'                            => 'Futbol Outlined(soccer-ball-o)',
		'fa-tty'                                 => 'TTY',
		'fa-binoculars'                          => 'Binoculars',
		'fa-plug'                                => 'Plug(power, connect)',
		'fa-newspaper-o'                         => 'Newspaper Outlined(press)',
		'fa-wifi'                                => 'WiFi',
		'fa-calculator'                          => 'Calculator',
		'fa-bell-slash'                          => 'Bell Slash',
		'fa-bell-slash-o'                        => 'Bell Slash Outlined',
		'fa-trash'                               => 'Trash(garbage, delete, remove, hide)',
		'fa-copyright'                           => 'Copyright',
		'fa-at'                                  => 'At(email, e-mail)',
		'fa-eyedropper'                          => 'Eyedropper',
		'fa-paint-brush'                         => 'Paint Brush',
		'fa-birthday-cake'                       => 'Birthday Cake',
		'fa-area-chart'                          => 'Area Chart(graph, analytics, statistics)',
		'fa-pie-chart'                           => 'Pie Chart(graph, analytics, statistics)',
		'fa-line-chart'                          => 'Line Chart(graph, analytics, statistics)',
		'fa-toggle-off'                          => 'Toggle Off',
		'fa-toggle-on'                           => 'Toggle On',
		'fa-bicycle'                             => 'Bicycle(vehicle, bike)',
		'fa-bus'                                 => 'Bus(vehicle)',
		'fa-cc'                                  => 'Closed Captions',
		'fa-cart-plus'                           => 'Add to Shopping Cart(add, shopping)',
		'fa-cart-arrow-down'                     => 'Shopping Cart Arrow Down(shopping)',
		'fa-diamond'                             => 'Diamond(gem, gemstone)',
		'fa-ship'                                => 'Ship(boat, sea)',
		'fa-user-secret'                         => 'User Secret(whisper, spy, incognito, privacy)',
		'fa-motorcycle'                          => 'Motorcycle(vehicle, bike)',
		'fa-street-view'                         => 'Street View(map)',
		'fa-heartbeat'                           => 'Heartbeat(ekg)',
		'fa-server'                              => 'Server',
		'fa-user-plus'                           => 'Add User(sign up, signup)',
		'fa-user-times'                          => 'Remove User',
		'fa-bed'                                 => 'Bed(travel)(hotel)',
		'fa-battery-full'                        => 'Battery Full(power)(battery-4, battery)',
		'fa-battery-three-quarters'              => 'Battery 3/4 Full(power)(battery-3)',
		'fa-battery-half'                        => 'Battery 1/2 Full(power)(battery-2)',
		'fa-battery-quarter'                     => 'Battery 1/4 Full(power)(battery-1)',
		'fa-battery-empty'                       => 'Battery Empty(power)(battery-0)',
		'fa-mouse-pointer'                       => 'Mouse Pointer',
		'fa-i-cursor'                            => 'I Beam Cursor',
		'fa-object-group'                        => 'Object Group',
		'fa-object-ungroup'                      => 'Object Ungroup',
		'fa-sticky-note'                         => 'Sticky Note',
		'fa-sticky-note-o'                       => 'Sticky Note Outlined',
		'fa-clone'                               => 'Clone(copy)',
		'fa-balance-scale'                       => 'Balance Scale',
		'fa-hourglass-o'                         => 'Hourglass Outlined',
		'fa-hourglass-start'                     => 'Hourglass Start(hourglass-1)',
		'fa-hourglass-half'                      => 'Hourglass Half(hourglass-2)',
		'fa-hourglass-end'                       => 'Hourglass End(hourglass-3)',
		'fa-hourglass'                           => 'Hourglass',
		'fa-hand-rock-o'                         => 'Rock (Hand)(hand-grab-o)',
		'fa-hand-paper-o'                        => 'Paper (Hand)(stop)(hand-stop-o)',
		'fa-hand-scissors-o'                     => 'Scissors (Hand)',
		'fa-hand-lizard-o'                       => 'Lizard (Hand)',
		'fa-hand-spock-o'                        => 'Spock (Hand)',
		'fa-hand-pointer-o'                      => 'Hand Pointer',
		'fa-hand-peace-o'                        => 'Hand Peace',
		'fa-trademark'                           => 'Trademark',
		'fa-registered'                          => 'Registered Trademark',
		'fa-creative-commons'                    => 'Creative Commons',
		'fa-television'                          => 'Television(display, computer, monitor)(tv)',
		'fa-calendar-plus-o'                     => 'Calendar Plus Outlined',
		'fa-calendar-minus-o'                    => 'Calendar Minus Outlined',
		'fa-calendar-times-o'                    => 'Calendar Times Outlined',
		'fa-calendar-check-o'                    => 'Calendar Check Outlined(ok)',
		'fa-industry'                            => 'Industry(factory)',
		'fa-map-pin'                             => 'Map Pin',
		'fa-map-signs'                           => 'Map Signs',
		'fa-map-o'                               => 'Map Outlined',
		'fa-map'                                 => 'Map',
		'fa-commenting'                          => 'Commenting(speech, notification, note, chat, bubble, feedback, message, texting, sms, conversation)',
		'fa-commenting-o'                        => 'Commenting Outlined(speech, notification, note, chat, bubble, feedback, message, texting, sms, conversation)',
		'fa-credit-card-alt'                     => 'Credit Card(money, buy, debit, checkout, purchase, payment, credit card)',
		'fa-shopping-bag'                        => 'Shopping Bag',
		'fa-shopping-basket'                     => 'Shopping Basket',
		'fa-hashtag'                             => 'Hashtag',
		'fa-bluetooth'                           => 'Bluetooth',
		'fa-bluetooth-b'                         => 'Bluetooth',
		'fa-percent'                             => 'Percent',
		'fa-universal-access'                    => 'Universal Access',
		'fa-wheelchair-alt'                      => 'Wheelchair Alt(handicap, person)',
		'fa-question-circle-o'                   => 'Question Circle Outlined',
		'fa-blind'                               => 'Blind',
		'fa-audio-description'                   => 'Audio Description',
		'fa-volume-control-phone'                => 'Volume Control Phone(telephone)',
		'fa-braille'                             => 'Braille',
		'fa-assistive-listening-systems'         => 'Assistive Listening Systems',
		'fa-american-sign-language-interpreting' => 'American Sign Language Interpreting(asl-interpreting)',
		'fa-deaf'                                => 'Deaf(deafness, hard-of-hearing)',
		'fa-sign-language'                       => 'Sign Language(signing)',
		'fa-low-vision'                          => 'Low Vision',
		'fa-handshake-o'                         => 'Handshake Outlined',
		'fa-envelope-open'                       => 'Envelope Open(email, e-mail, letter, support, mail, message, notification)',
		'fa-envelope-open-o'                     => 'Envelope Open Outlined(email, e-mail, letter, support, mail, message, notification)',
		'fa-address-book'                        => 'Address Book',
		'fa-address-book-o'                      => 'Address Book Outlined',
		'fa-address-card'                        => 'Address Card(vcard)',
		'fa-address-card-o'                      => 'Address Card Outlined(vcard-o)',
		'fa-user-circle'                         => 'User Circle',
		'fa-user-circle-o'                       => 'User Circle Outlined',
		'fa-user-o'                              => 'User Outlined',
		'fa-id-badge'                            => 'Identification Badge',
		'fa-id-card'                             => 'Identification Card(drivers-license)',
		'fa-id-card-o'                           => 'Identification Card Outlined(drivers-license-o)',
		'fa-thermometer-full'                    => 'Thermometer Full(thermometer-4, thermometer)',
		'fa-thermometer-three-quarters'          => 'Thermometer 3/4 Full(thermometer-3)',
		'fa-thermometer-half'                    => 'Thermometer 1/2 Full(thermometer-2)',
		'fa-thermometer-quarter'                 => 'Thermometer 1/4 Full(thermometer-1)',
		'fa-thermometer-empty'                   => 'Thermometer Empty(thermometer-0)',
		'fa-shower'                              => 'Shower',
		'fa-bath'                                => 'Bath(bathtub, s15)',
		'fa-podcast'                             => 'Podcast',
		'fa-window-maximize'                     => 'Window Maximize',
		'fa-window-minimize'                     => 'Window Minimize',
		'fa-window-restore'                      => 'Window Restore',
		'fa-window-close'                        => 'Window Close(times-rectangle)',
		'fa-window-close-o'                      => 'Window Close Outline(times-rectangle-o)',
		'fa-microchip'                           => 'Microchip',
		'fa-snowflake-o'                         => 'Snowflake Outlined',

		// Medical Icons
		'fa-heart'                               => 'Heart(love, like, favorite)',
		'fa-heart-o'                             => 'Heart Outlined(love, like, favorite)',
		'fa-user-md'                             => 'user-md(doctor, profile, medical, nurse)',
		'fa-stethoscope'                         => 'Stethoscope',
		'fa-hospital-o'                          => 'hospital Outlined(building)',
		'fa-ambulance'                           => 'ambulance(vehicle, support, help)',
		'fa-medkit'                              => 'medkit(first aid, firstaid, help, support, health)',
		'fa-h-square'                            => 'H Square(hospital, hotel)',
		'fa-plus-square'                         => 'Plus Square(add, new, create, expand)',
		'fa-wheelchair'                          => 'Wheelchair(handicap, person)',
		'fa-heartbeat'                           => 'Heartbeat(ekg)',
		'fa-wheelchair-alt'                      => 'Wheelchair Alt(handicap, person)',

		// Text Editor Icons
		'fa-th-large'                            => 'th-large(blocks, squares, boxes, grid)',
		'fa-th'                                  => 'th(blocks, squares, boxes, grid)',
		'fa-th-list'                             => 'th-list(ul, ol, checklist, finished, completed, done, todo)',
		'fa-file-o'                              => 'File Outlined(new, page, pdf, document)',
		'fa-repeat'                              => 'Repeat(redo, forward)(rotate-right)',
		'fa-list-alt'                            => 'list-alt(ul, ol, checklist, finished, completed, done, todo)',
		'fa-font'                                => 'font(text)',
		'fa-bold'                                => 'bold',
		'fa-italic'                              => 'italic(italics)',
		'fa-text-height'                         => 'text-height',
		'fa-text-width'                          => 'text-width',
		'fa-align-left'                          => 'align-left(text)',
		'fa-align-center'                        => 'align-center(middle, text)',
		'fa-align-right'                         => 'align-right(text)',
		'fa-align-justify'                       => 'align-justify(text)',
		'fa-list'                                => 'list(ul, ol, checklist, finished, completed, done, todo)',
		'fa-outdent'                             => 'Outdent(dedent)',
		'fa-indent'                              => 'Indent',
		'fa-link'                                => 'Link(chain)(chain)',
		'fa-scissors'                            => 'Scissors(cut)',
		'fa-files-o'                             => 'Files Outlined(duplicate, clone, copy)(copy)',
		'fa-paperclip'                           => 'Paperclip(attachment)',
		'fa-floppy-o'                            => 'Floppy Outlined(save)',
		'fa-list-ul'                             => 'list-ul(ul, ol, checklist, todo, list)',
		'fa-list-ol'                             => 'list-ol(ul, ol, checklist, list, todo, list, numbers)',
		'fa-strikethrough'                       => 'Strikethrough',
		'fa-underline'                           => 'Underline',
		'fa-table'                               => 'table(data, excel, spreadsheet)',
		'fa-columns'                             => 'Columns(split, panes)',
		'fa-undo'                                => 'Undo(back)(rotate-left)',
		'fa-clipboard'                           => 'Clipboard(copy)(paste)',
		'fa-file-text-o'                         => 'File Text Outlined(new, page, pdf, document)',
		'fa-chain-broken'                        => 'Chain Broken(remove)(unlink)',
		'fa-superscript'                         => 'superscript(exponential)',
		'fa-subscript'                           => 'subscript',
		'fa-eraser'                              => 'eraser(remove, delete)',
		'fa-file'                                => 'File(new, page, pdf, document)',
		'fa-file-text'                           => 'File Text(new, page, pdf, document)',
		'fa-header'                              => 'header(heading)',
		'fa-paragraph'                           => 'paragraph',

		// Spinner Icons
		'fa-cog'                                 => 'cog(settings)(gear)',
		'fa-refresh'                             => 'refresh(reload, sync)',
		'fa-spinner'                             => 'Spinner(loading, progress)',
		'fa-circle-o-notch'                      => 'Circle Outlined Notched',

		// File Type Icons
		'fa-file-o'                              => 'File Outlined(new, page, pdf, document)',
		'fa-file-text-o'                         => 'File Text Outlined(new, page, pdf, document)',
		'fa-file'                                => 'File(new, page, pdf, document)',
		'fa-file-text'                           => 'File Text(new, page, pdf, document)',
		'fa-file-pdf-o'                          => 'PDF File Outlined',
		'fa-file-word-o'                         => 'Word File Outlined',
		'fa-file-excel-o'                        => 'Excel File Outlined',
		'fa-file-powerpoint-o'                   => 'Powerpoint File Outlined',
		'fa-file-image-o'                        => 'Image File Outlined(file-photo-o, file-picture-o)',
		'fa-file-archive-o'                      => 'Archive File Outlined(file-zip-o)',
		'fa-file-audio-o'                        => 'Audio File Outlined(file-sound-o)',
		'fa-file-video-o'                        => 'Video File Outlined(file-movie-o)',
		'fa-file-code-o'                         => 'Code File Outlined',

		// Directional Icons
		'fa-arrow-circle-o-down'                 => 'Arrow Circle Outlined Down(download)',
		'fa-arrow-circle-o-up'                   => 'Arrow Circle Outlined Up',
		'fa-arrows'                              => 'Arrows(move, reorder, resize)',
		'fa-chevron-left'                        => 'chevron-left(bracket, previous, back)',
		'fa-chevron-right'                       => 'chevron-right(bracket, next, forward)',
		'fa-arrow-left'                          => 'arrow-left(previous, back)',
		'fa-arrow-right'                         => 'arrow-right(next, forward)',
		'fa-arrow-up'                            => 'arrow-up',
		'fa-arrow-down'                          => 'arrow-down(download)',
		'fa-chevron-up'                          => 'chevron-up',
		'fa-chevron-down'                        => 'chevron-down',
		'fa-arrows-v'                            => 'Arrows Vertical(resize)',
		'fa-arrows-h'                            => 'Arrows Horizontal(resize)',
		'fa-hand-o-right'                        => 'Hand Outlined Right(point, right, next, forward, finger)',
		'fa-hand-o-left'                         => 'Hand Outlined Left(point, left, previous, back, finger)',
		'fa-hand-o-up'                           => 'Hand Outlined Up(point, finger)',
		'fa-hand-o-down'                         => 'Hand Outlined Down(point, finger)',
		'fa-arrow-circle-left'                   => 'Arrow Circle Left(previous, back)',
		'fa-arrow-circle-right'                  => 'Arrow Circle Right(next, forward)',
		'fa-arrow-circle-up'                     => 'Arrow Circle Up',
		'fa-arrow-circle-down'                   => 'Arrow Circle Down(download)',
		'fa-arrows-alt'                          => 'Arrows Alt(expand, enlarge, fullscreen, bigger, move, reorder, resize, arrow)',
		'fa-caret-down'                          => 'Caret Down(more, dropdown, menu, triangle down, arrow)',
		'fa-caret-up'                            => 'Caret Up(triangle up, arrow)',
		'fa-caret-left'                          => 'Caret Left(previous, back, triangle left, arrow)',
		'fa-caret-right'                         => 'Caret Right(next, forward, triangle right, arrow)',
		'fa-exchange'                            => 'Exchange(transfer, arrows, arrow)',
		'fa-angle-double-left'                   => 'Angle Double Left(laquo, quote, previous, back, arrows)',
		'fa-angle-double-right'                  => 'Angle Double Right(raquo, quote, next, forward, arrows)',
		'fa-angle-double-up'                     => 'Angle Double Up(arrows)',
		'fa-angle-double-down'                   => 'Angle Double Down(arrows)',
		'fa-angle-left'                          => 'angle-left(previous, back, arrow)',
		'fa-angle-right'                         => 'angle-right(next, forward, arrow)',
		'fa-angle-up'                            => 'angle-up(arrow)',
		'fa-angle-down'                          => 'angle-down(arrow)',
		'fa-chevron-circle-left'                 => 'Chevron Circle Left(previous, back, arrow)',
		'fa-chevron-circle-right'                => 'Chevron Circle Right(next, forward, arrow)',
		'fa-chevron-circle-up'                   => 'Chevron Circle Up(arrow)',
		'fa-chevron-circle-down'                 => 'Chevron Circle Down(more, dropdown, menu, arrow)',
		'fa-caret-square-o-down'                 => 'Caret Square Outlined Down(more, dropdown, menu)(toggle-down)',
		'fa-caret-square-o-up'                   => 'Caret Square Outlined Up(toggle-up)',
		'fa-caret-square-o-right'                => 'Caret Square Outlined Right(next, forward)(toggle-right)',
		'fa-long-arrow-down'                     => 'Long Arrow Down',
		'fa-long-arrow-up'                       => 'Long Arrow Up',
		'fa-long-arrow-left'                     => 'Long Arrow Left(previous, back)',
		'fa-long-arrow-right'                    => 'Long Arrow Right',
		'fa-arrow-circle-o-right'                => 'Arrow Circle Outlined Right(next, forward)',
		'fa-arrow-circle-o-left'                 => 'Arrow Circle Outlined Left(previous, back)',
		'fa-caret-square-o-left'                 => 'Caret Square Outlined Left(previous, back)(toggle-left)',

		//Video Player Icons
		'fa-play-circle-o'                       => 'Play Circle Outlined',
		'fa-step-backward'                       => 'step-backward(rewind, previous, beginning, start, first)',
		'fa-fast-backward'                       => 'fast-backward(rewind, previous, beginning, start, first)',
		'fa-backward'                            => 'backward(rewind, previous)',
		'fa-play'                                => 'play(start, playing, music, sound)',
		'fa-pause'                               => 'pause(wait)',
		'fa-stop'                                => 'stop(block, box, square)',
		'fa-forward'                             => 'forward(forward, next)',
		'fa-fast-forward'                        => 'fast-forward(next, end, last)',
		'fa-step-forward'                        => 'step-forward(next, end, last)',
		'fa-eject'                               => 'eject',
		'fa-expand'                              => 'Expand(enlarge, bigger, resize)',
		'fa-compress'                            => 'Compress(collapse, combine, contract, merge, smaller)',
		'fa-random'                              => 'random(sort, shuffle)',
		'fa-arrows-alt'                          => 'Arrows Alt(expand, enlarge, fullscreen, bigger, move, reorder, resize, arrow)',
		'fa-play-circle'                         => 'Play Circle(start, playing)',
		'fa-youtube-play'                        => 'YouTube Play(start, playing)',
		'fa-pause-circle'                        => 'Pause Circle',
		'fa-pause-circle-o'                      => 'Pause Circle Outlined',
		'fa-stop-circle'                         => 'Stop Circle',
		'fa-stop-circle-o'                       => 'Stop Circle Outlined',

		// Form Control Icons
		'fa-check-square-o'                      => 'Check Square Outlined(todo, done, agree, accept, confirm, ok)',
		'fa-square-o'                            => 'Square Outlined(block, square, box)',
		'fa-square'                              => 'Square(block, box)',
		'fa-plus-square'                         => 'Plus Square(add, new, create, expand)',
		'fa-circle-o'                            => 'Circle Outlined',
		'fa-circle'                              => 'Circle(dot, notification)',
		'fa-minus-square'                        => 'Minus Square(hide, minify, delete, remove, trash, hide, collapse)',
		'fa-minus-square-o'                      => 'Minus Square Outlined(hide, minify, delete, remove, trash, hide, collapse)',
		'fa-check-square'                        => 'Check Square(checkmark, done, todo, agree, accept, confirm, ok)',
		'fa-dot-circle-o'                        => 'Dot Circle Outlined(target, bullseye, notification)',
		'fa-plus-square-o'                       => 'Plus Square Outlined(add, new, create, expand)',

		// Transportation Icons
		'fa-plane'                               => 'plane(travel, trip, location, destination, airplane, fly, mode)',
		'fa-truck'                               => 'truck(shipping)',
		'fa-ambulance'                           => 'ambulance(vehicle, support, help)',
		'fa-fighter-jet'                         => 'fighter-jet(fly, plane, airplane, quick, fast, travel)',
		'fa-rocket'                              => 'rocket(app)',
		'fa-wheelchair'                          => 'Wheelchair(handicap, person)',
		'fa-space-shuttle'                       => 'Space Shuttle',
		'fa-car'                                 => 'Car(vehicle)(automobile)',
		'fa-taxi'                                => 'Taxi(vehicle)(cab)',
		'fa-bicycle'                             => 'Bicycle(vehicle, bike)',
		'fa-bus'                                 => 'Bus(vehicle)',
		'fa-ship'                                => 'Ship(boat, sea)',
		'fa-motorcycle'                          => 'Motorcycle(vehicle, bike)',
		'fa-train'                               => 'Train',
		'fa-subway'                              => 'Subway',
		'fa-wheelchair-alt'                      => 'Wheelchair Alt(handicap, person)',

		// Chart Icons
		'fa-bar-chart'                           => 'Bar Chart(graph, analytics, statistics)(bar-chart-o)',
		'fa-area-chart'                          => 'Area Chart(graph, analytics, statistics)',
		'fa-pie-chart'                           => 'Pie Chart(graph, analytics, statistics)',
		'fa-line-chart'                          => 'Line Chart(graph, analytics, statistics)',

		// Brand Icons
		'fa-twitter-square'                      => 'Twitter Square(tweet, social network)',
		'fa-facebook-square'                     => 'Facebook Square(social network)',
		'fa-linkedin-square'                     => 'LinkedIn Square',
		'fa-github-square'                       => 'GitHub Square(octocat)',
		'fa-twitter'                             => 'Twitter(tweet, social network)',
		'fa-facebook'                            => 'Facebook(social network)(facebook-f)',
		'fa-github'                              => 'GitHub(octocat)',
		'fa-pinterest'                           => 'Pinterest',
		'fa-pinterest-square'                    => 'Pinterest Square',
		'fa-google-plus-square'                  => 'Google Plus Square(social network)',
		'fa-google-plus'                         => 'Google Plus(social network)',
		'fa-linkedin'                            => 'LinkedIn',
		'fa-github-alt'                          => 'GitHub Alt(octocat)',
		'fa-maxcdn'                              => 'MaxCDN',
		'fa-html5'                               => 'HTML 5 Logo',
		'fa-css3'                                => 'CSS 3 Logo(code)',
		'fa-btc'                                 => 'Bitcoin (BTC)(bitcoin)',
		'fa-youtube-square'                      => 'YouTube Square(video, film)',
		'fa-youtube'                             => 'YouTube(video, film)',
		'fa-xing'                                => 'Xing',
		'fa-xing-square'                         => 'Xing Square',
		'fa-youtube-play'                        => 'YouTube Play(start, playing)',
		'fa-dropbox'                             => 'Dropbox',
		'fa-stack-overflow'                      => 'Stack Overflow',
		'fa-instagram'                           => 'Instagram',
		'fa-flickr'                              => 'Flickr',
		'fa-adn'                                 => 'App.net',
		'fa-bitbucket'                           => 'Bitbucket(git)',
		'fa-bitbucket-square'                    => 'Bitbucket Square(git)',
		'fa-tumblr'                              => 'Tumblr',
		'fa-tumblr-square'                       => 'Tumblr Square',
		'fa-apple'                               => 'Apple(osx, food)',
		'fa-windows'                             => 'Windows(microsoft)',
		'fa-android'                             => 'Android(robot)',
		'fa-linux'                               => 'Linux(tux)',
		'fa-dribbble'                            => 'Dribbble',
		'fa-skype'                               => 'Skype',
		'fa-foursquare'                          => 'Foursquare',
		'fa-trello'                              => 'Trello',
		'fa-gratipay'                            => 'Gratipay (Gittip)(heart, like, favorite, love)(gittip)',
		'fa-vk'                                  => 'VK',
		'fa-weibo'                               => 'Weibo',
		'fa-renren'                              => 'Renren',
		'fa-pagelines'                           => 'Pagelines(leaf, leaves, tree, plant, eco, nature)',
		'fa-stack-exchange'                      => 'Stack Exchange',
		'fa-vimeo-square'                        => 'Vimeo Square',
		'fa-slack'                               => 'Slack Logo(hashtag, anchor, hash)',
		'fa-wordpress'                           => 'WordPress Logo',
		'fa-openid'                              => 'OpenID',
		'fa-yahoo'                               => 'Yahoo Logo',
		'fa-google'                              => 'Google Logo',
		'fa-reddit'                              => 'reddit Logo',
		'fa-reddit-square'                       => 'reddit Square',
		'fa-stumbleupon-circle'                  => 'StumbleUpon Circle',
		'fa-stumbleupon'                         => 'StumbleUpon Logo',
		'fa-delicious'                           => 'Delicious Logo',
		'fa-digg'                                => 'Digg Logo',
		'fa-pied-piper-pp'                       => 'Pied Piper PP Logo (Old)',
		'fa-pied-piper-alt'                      => 'Pied Piper Alternate Logo',
		'fa-drupal'                              => 'Drupal Logo',
		'fa-joomla'                              => 'Joomla Logo',
		'fa-behance'                             => 'Behance',
		'fa-behance-square'                      => 'Behance Square',
		'fa-steam'                               => 'Steam',
		'fa-steam-square'                        => 'Steam Square',
		'fa-spotify'                             => 'Spotify',
		'fa-deviantart'                          => 'deviantART',
		'fa-soundcloud'                          => 'SoundCloud',
		'fa-vine'                                => 'Vine',
		'fa-codepen'                             => 'Codepen',
		'fa-jsfiddle'                            => 'jsFiddle',
		'fa-rebel'                               => 'Rebel Alliance(ra, resistance)',
		'fa-empire'                              => 'Galactic Empire(ge)',
		'fa-git-square'                          => 'Git Square',
		'fa-git'                                 => 'Git',
		'fa-hacker-news'                         => 'Hacker News(y-combinator-square, yc-square)',
		'fa-tencent-weibo'                       => 'Tencent Weibo',
		'fa-qq'                                  => 'QQ',
		'fa-weixin'                              => 'Weixin (WeChat)(wechat)',
		'fa-share-alt'                           => 'Share Alt',
		'fa-share-alt-square'                    => 'Share Alt Square',
		'fa-slideshare'                          => 'Slideshare',
		'fa-twitch'                              => 'Twitch',
		'fa-yelp'                                => 'Yelp',
		'fa-paypal'                              => 'Paypal',
		'fa-google-wallet'                       => 'Google Wallet',
		'fa-cc-visa'                             => 'Visa Credit Card',
		'fa-cc-mastercard'                       => 'MasterCard Credit Card',
		'fa-cc-discover'                         => 'Discover Credit Card',
		'fa-cc-amex'                             => 'American Express Credit Card(amex)',
		'fa-cc-paypal'                           => 'Paypal Credit Card',
		'fa-cc-stripe'                           => 'Stripe Credit Card',
		'fa-lastfm'                              => 'last.fm',
		'fa-lastfm-square'                       => 'last.fm Square',
		'fa-ioxhost'                             => 'ioxhost',
		'fa-angellist'                           => 'AngelList',
		'fa-meanpath'                            => 'meanpath',
		'fa-buysellads'                          => 'BuySellAds',
		'fa-connectdevelop'                      => 'Connect Develop',
		'fa-dashcube'                            => 'DashCube',
		'fa-forumbee'                            => 'Forumbee',
		'fa-leanpub'                             => 'Leanpub',
		'fa-sellsy'                              => 'Sellsy',
		'fa-shirtsinbulk'                        => 'Shirts in Bulk',
		'fa-simplybuilt'                         => 'SimplyBuilt',
		'fa-skyatlas'                            => 'skyatlas',
		'fa-facebook-official'                   => 'Facebook Official',
		'fa-pinterest-p'                         => 'Pinterest P',
		'fa-whatsapp'                            => 'What\'s App',
		'fa-viacoin'                             => 'Viacoin',
		'fa-medium'                              => 'Medium',
		'fa-y-combinator'                        => 'Y Combinator(yc)',
		'fa-optin-monster'                       => 'Optin Monster',
		'fa-opencart'                            => 'OpenCart',
		'fa-expeditedssl'                        => 'ExpeditedSSL',
		'fa-cc-jcb'                              => 'JCB Credit Card',
		'fa-cc-diners-club'                      => 'Diner\'s Club Credit Card',
		'fa-gg'                                  => 'GG Currency',
		'fa-gg-circle'                           => 'GG Currency Circle',
		'fa-tripadvisor'                         => 'TripAdvisor',
		'fa-odnoklassniki'                       => 'Odnoklassniki',
		'fa-odnoklassniki-square'                => 'Odnoklassniki Square',
		'fa-get-pocket'                          => 'Get Pocket',
		'fa-wikipedia-w'                         => 'Wikipedia W',
		'fa-safari'                              => 'Safari(browser)',
		'fa-chrome'                              => 'Chrome(browser)',
		'fa-firefox'                             => 'Firefox(browser)',
		'fa-opera'                               => 'Opera',
		'fa-internet-explorer'                   => 'Internet-explorer(browser, ie)',
		'fa-contao'                              => 'Contao',
		'fa-500px'                               => '500px',
		'fa-amazon'                              => 'Amazon',
		'fa-houzz'                               => 'Houzz',
		'fa-vimeo'                               => 'Vimeo',
		'fa-black-tie'                           => 'Font Awesome Black Tie',
		'fa-fonticons'                           => 'Fonticons',
		'fa-reddit-alien'                        => 'reddit Alien',
		'fa-edge'                                => 'Edge Browser(browser, ie)',
		'fa-codiepie'                            => 'Codie Pie',
		'fa-modx'                                => 'MODX',
		'fa-fort-awesome'                        => 'Fort Awesome',
		'fa-usb'                                 => 'USB',
		'fa-product-hunt'                        => 'Product Hunt',
		'fa-mixcloud'                            => 'Mixcloud',
		'fa-scribd'                              => 'Scribd',
		'fa-bluetooth'                           => 'Bluetooth',
		'fa-bluetooth-b'                         => 'Bluetooth',
		'fa-gitlab'                              => 'GitLab',
		'fa-wpbeginner'                          => 'WPBeginner',
		'fa-wpforms'                             => 'WPForms',
		'fa-envira'                              => 'Envira Gallery(leaf)',
		'fa-glide'                               => 'Glide',
		'fa-glide-g'                             => 'Glide G',
		'fa-viadeo'                              => 'Viadeo',
		'fa-viadeo-square'                       => 'Viadeo Square',
		'fa-snapchat'                            => 'Snapchat',
		'fa-snapchat-ghost'                      => 'Snapchat Ghost',
		'fa-snapchat-square'                     => 'Snapchat Square',
		'fa-pied-piper'                          => 'Pied Piper Logo',
		'fa-first-order'                         => 'First Order',
		'fa-yoast'                               => 'Yoast',
		'fa-themeisle'                           => 'ThemeIsle',
		'fa-google-plus-official'                => 'Google Plus Official(google-plus-circle)',
		'fa-font-awesome'                        => 'Font Awesome(fa)',
		'fa-linode'                              => 'Linode',
		'fa-quora'                               => 'Quora',
		'fa-free-code-camp'                      => 'Free Code Camp',
		'fa-telegram'                            => 'Telegram',
		'fa-bandcamp'                            => 'Bandcamp',
		'fa-grav'                                => 'Grav',
		'fa-etsy'                                => 'Etsy',
		'fa-imdb'                                => 'IMDB',
		'fa-ravelry'                             => 'Ravelry',
		'fa-eercast'                             => 'Eercast',
		'fa-superpowers'                         => 'Superpowers',
		'fa-wpexplorer'                          => 'WPExplorer',
		'fa-meetup'                              => 'Meetup',

		// Hand Icons
		'fa-thumbs-o-up'                         => 'Thumbs Up Outlined(like, approve, favorite, agree, hand)',
		'fa-thumbs-o-down'                       => 'Thumbs Down Outlined(dislike, disapprove, disagree, hand)',
		'fa-hand-o-right'                        => 'Hand Outlined Right(point, right, next, forward, finger)',
		'fa-hand-o-left'                         => 'Hand Outlined Left(point, left, previous, back, finger)',
		'fa-hand-o-up'                           => 'Hand Outlined Up(point, finger)',
		'fa-hand-o-down'                         => 'Hand Outlined Down(point, finger)',
		'fa-thumbs-up'                           => 'thumbs-up(like, favorite, approve, agree, hand)',
		'fa-thumbs-down'                         => 'thumbs-down(dislike, disapprove, disagree, hand)',
		'fa-hand-rock-o'                         => 'Rock (Hand)(hand-grab-o)',
		'fa-hand-paper-o'                        => 'Paper (Hand)(stop)(hand-stop-o)',
		'fa-hand-scissors-o'                     => 'Scissors (Hand)',
		'fa-hand-lizard-o'                       => 'Lizard (Hand)',
		'fa-hand-spock-o'                        => 'Spock (Hand)',
		'fa-hand-pointer-o'                      => 'Hand Pointer',
		'fa-hand-peace-o'                        => 'Hand Peace',
		// Payment Icons
		'fa-credit-card'                         => 'credit-card(money, buy, debit, checkout, purchase, payment)',
		'fa-paypal'                              => 'Paypal',
		'fa-google-wallet'                       => 'Google Wallet',
		'fa-cc-visa'                             => 'Visa Credit Card',
		'fa-cc-mastercard'                       => 'MasterCard Credit Card',
		'fa-cc-discover'                         => 'Discover Credit Card',
		'fa-cc-amex'                             => 'American Express Credit Card(amex)',
		'fa-cc-paypal'                           => 'Paypal Credit Card',
		'fa-cc-stripe'                           => 'Stripe Credit Card',
		'fa-cc-jcb'                              => 'JCB Credit Card',
		'fa-cc-diners-club'                      => 'Diner\'s Club Credit Card',
		'fa-credit-card-alt'                     => 'Credit Card(money, buy, debit, checkout, purchase, payment, credit card)',
		//Currency Icons
		'fa-money'                               => 'Money(cash, money, buy, checkout, purchase, payment)',
		'fa-eur'                                 => 'Euro (EUR)(euro)',
		'fa-gbp'                                 => 'GBP',
		'fa-usd'                                 => 'US Dollar(dollar)',
		'fa-inr'                                 => 'Indian Rupee (INR)(rupee)',
		'fa-jpy'                                 => 'Japanese Yen (JPY)(cny, rmb, yen)',
		'fa-rub'                                 => 'Russian Ruble (RUB)(ruble, rouble)',
		'fa-krw'                                 => 'Korean Won (KRW)(won)',
		'fa-btc'                                 => 'Bitcoin (BTC)(bitcoin)',
		'fa-try'                                 => 'Turkish Lira (TRY)(turkish-lira)',
		'fa-ils'                                 => 'Shekel (ILS)(shekel, sheqel)',
		'fa-gg'                                  => 'GG Currency',
		'fa-gg-circle'                           => 'GG Currency Circle',
		// Accessibility Icons
		'fa-wheelchair'                          => 'Wheelchair(handicap, person)',
		'fa-tty'                                 => 'TTY',
		'fa-cc'                                  => 'Closed Captions',
		'fa-universal-access'                    => 'Universal Access',
		'fa-wheelchair-alt'                      => 'Wheelchair Alt(handicap, person)',
		'fa-question-circle-o'                   => 'Question Circle Outlined',
		'fa-blind'                               => 'Blind',
		'fa-audio-description'                   => 'Audio Description',
		'fa-volume-control-phone'                => 'Volume Control Phone(telephone)',
		'fa-braille'                             => 'Braille',
		'fa-assistive-listening-systems'         => 'Assistive Listening Systems',
		'fa-american-sign-language-interpreting' => 'American Sign Language Interpreting(asl-interpreting)',
		'fa-deaf'                                => 'Deaf(deafness, hard-of-hearing)',
		'fa-sign-language'                       => 'Sign Language(signing)',
		'fa-low-vision'                          => 'Low Vision',

		// Gender Icons
		'fa-venus'                               => 'Venus(female)',
		'fa-mars'                                => 'Mars(male)',
		'fa-mercury'                             => 'Mercury(transgender)',
		'fa-transgender'                         => 'Transgender(intersex)',
		'fa-transgender-alt'                     => 'Transgender Alt',
		'fa-venus-double'                        => 'Venus Double',
		'fa-mars-double'                         => 'Mars Double',
		'fa-venus-mars'                          => 'Venus Mars',
		'fa-mars-stroke'                         => 'Mars Stroke',
		'fa-mars-stroke-v'                       => 'Mars Stroke Vertical',
		'fa-mars-stroke-h'                       => 'Mars Stroke Horizontal',
		'fa-neuter'                              => 'Neuter',
		'fa-genderless'                          => 'Genderless',

	);

	return array_merge( $icons, $fontawesome_icons );
}
